Upgrade from PUT /v0/proposals/{proposal_id}/accommodations_arrangement to PUT /v1/proposals/{proposal_id}/accommodations_arrangement
- Outdated
- June 1, 2024
- 1 related route
Context
A while ago, we worked on enhancing our API backend calls in order to enhance our performances. In order to call the accommodation_arrangement_check backend endpoint instead of the moreRooms, we need to add a new body parameter: "occupancy".
Upgrade from PUT - /v0/proposals/{proposal_id}/accommodations_arrangement to PUT - /v1/proposals/{proposal_id}/accommodations_arrangement
⭐ Key benefits : Having a quicker response time and uniformizing our ressources.
As an API dev I want to be able to call
accommodation_arrangement_checkinstead ofmoreRoomsIn order to gain in response time
Impacts
Route to call :
- PUT -
/v1/proposals/{proposal_id}/accommodations_arrangement
Input
Paramètres Inchangés.
Body Example value
[
{
"id": "A2",
- "quantity": 2,
+ "occupancy": 2,
"attendees": [
{
"id": "A",
"type": "MAIN",
"birthdate": "20100430",
"customer_id": "143890448"
}
]
}
]
Body Model
| Champ API | Définition | Example | Type |
|---|---|---|---|
| occupancy | Number of occupants in the accommodation | 2 | Integer |